Bug 221837 - Error using .iso file for new domain creation
Error using .iso file for new domain creation
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Martin Jenner
Depends On:
  Show dependency treegraph
Reported: 2007-01-08 09:28 EST by Adam Huffman
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-27 17:06:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xend log showing error with new domain creation (3.91 KB, application/octet-stream)
2007-04-19 13:22 EDT, Adam Huffman
no flags Details

  None (edit)
Description Adam Huffman 2007-01-08 09:28:48 EST
Description of problem:
When using virt-manager to create a new para-virtualized domain, virt-manager
stops with an error at the final step, relating to the .iso file used for

ERROR: virDomainCreateLinux() failed POST operation failed: (xend.err 'Error
creating domain: Disk image does not exist: /opt/xen/xpincsp2.iso')

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. run virt-manager
2. begin new domain creation
Actual results:
New domain creation stops with an error

Expected results:
New domain creation proceeds normally

Additional info:
Comment 1 Adam Huffman 2007-04-19 13:21:20 EDT
Just encountered this bug again - xend log file excerpt attached.
Comment 2 Adam Huffman 2007-04-19 13:22:20 EDT
Created attachment 153029 [details]
xend log showing error with new domain creation
Comment 3 Red Hat Bugzilla 2007-07-24 22:07:18 EDT
change QA contact
Comment 4 Daniel Berrange 2007-09-27 17:06:28 EDT
Most likely reason for this failure is that SELinux was active. WHen SELinux is
active, ISO images have to be under /var/lib/xen/images/ to be accessible, so
/opt would likely give an access violation. Re-open this ticket if SELinux
wasn't the problem....

Note You need to log in before you can comment on or make changes to this bug.